################################################################################
#      This file is part of OpenELEC - http://www.openelec.tv
#      Copyright (C) 2009-2012 Stephan Raue (stephan@openelec.tv)
#
#  This Program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  This Program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with OpenELEC.tv; see the file COPYING.  If not, write to
#  the Free Software Foundation, 51 Franklin Street, Suite 500, Boston, MA 02110, USA.
#  http://www.gnu.org/copyleft/gpl.html
################################################################################
# network.conf
#
# This configuration file allows you to customize your network
# configuration  

# Hostname
# Sets the machine's hostname - This setting also also affects Samba,
# Avahi and some other services
# This option left blank sets the hostname to the default setting, "openelec"
  HOSTNAME=""

# Network Technology ( LAN / WLAN )
# This option lets you switch between a LAN and WLAN connection
# Left blank or set to "LAN" sets the machine to use a wired network connection
# "WLAN" sets the machine to use a wireless connection
  NETWORK=""

# Network interface name or address
# This option lets you specificy a network device's name or address
# e.g. "eth0", "wlan0" or "00:0d:56:ec:ba:0c"
# Leaving this option blank uses the default setting "eth0"
  IFACE=""

# Static IP address
# This option lets you set a static IP address in CIDR format
# e.g. "192.168.1.1/24"
# Leave blank to use DHCP (default)
  IPADDRESS=""

# Network gateway
# This option lets you set your gateway address
# e.g. "192.168.1.254"
# This variable must be set if you are using a static IP address
  GATEWAY=""

# DNS servers
# This option lets you set up DNS for your network
# e.g. "192.168.1.253;192.168.1.254"
# This variable must be set if you are using a static IP address
  NAMESERVER=""

# WLAN SSID
# This option lets you set the SSID for your wireless network
# e.g. "MyNetwork"
# This variable must be set if you are using a wireless device
  SSID=""

# WLAN Security
# This option lets you chose the security protocol for your wireless
# network
# Options are "NONE" / "WEP" / "WPA/WPA2" )
# "NONE" or left blank for an open WLAN (default)
# "WEP" for WEP protected WLAN's
# "WPA/WPA2" for WPA protected WLAN's
  SECURITY=""

# WLAN Passphrase
# This option lets you set the password for your wireless network
# e.g. "TopSecret"
# This variable must be set if you are using a secure wireless network
  PASSPHRASE=""

# start SAMBA Server (if installed) on boot (yes / no)
  SAMBA_START="yes"
